#include "event.h"

string_callback_t log_oled_handler = NULL;
void set_oled_log_handler(string_callback_t handler) {
    log_oled_handler = handler;
}
void log_oled(const std::string& message) {
    if (log_oled_handler != NULL) {
        log_oled_handler(message);
    }
}

uint8_t_callback_t wlan_connection_status_handler = NULL;
void set_wlan_connection_status_handler(uint8_t_callback_t handler) {
    wlan_connection_status_handler = handler;
}
void update_wlan_connection_status(uint8_t status) {
    if (wlan_connection_status_handler != NULL) {
        wlan_connection_status_handler(status);
    }
}

uint8_t_callback_t mqtt_connection_status_handler = NULL;
void set_mqtt_connection_status_handler(uint8_t_callback_t handler) {
    mqtt_connection_status_handler = handler;
}
void update_mqtt_connection_status(uint8_t status) {
    if (mqtt_connection_status_handler != NULL) {
        mqtt_connection_status_handler(status);
    }
}