#include "lcd.h"
#include "mqtt.h"

#include "Arduino.h"
#include "LiquidCrystal.h"

const uint8_t rs = 22, en = 23, d4 = 5, d5 = 18, d6 = 19, d7 = 21;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

void add_lcd(const std::string& topic) {
    lcd.begin(16, 2);

    add_message_callback(topic, [](std::string message) {
        lcd.clear();
        lcd.setCursor(0,0);
        lcd.print(message.c_str());
        lcd.setCursor(0,1);
        lcd.print(message.c_str());
    });
}
