#ifndef MQTT_COMMON_H
#define MQTT_COMMON_H

#include "environment.h"
#include "device/device_config.h"

#define STATUS_TOPIC DEVICE_NAMESPACE "status"
#define STATUS_MESSAGE_ONLINE "online"
#define STATUS_MESSAGE_OFFLINE ""

#ifdef ENVIRONMENT_NAMESPACE
#define DEVICE_NAMESPACE ENVIRONMENT_NAMESPACE "device/" DEVICE_NAME "/"
#else
#define DEVICE_NAMESPACE "device/" DEVICE_NAME "/"
#endif

#define FIRMWARE_COMMAND_TOPIC DEVICE_NAMESPACE "command"

#define OTA_FIRMWARE_TOPIC DEVICE_NAMESPACE "ota/$firmware"
#define OTA_PROGRESS_TOPIC DEVICE_NAMESPACE "ota/progress"

#endif